Magic Fill Product Types
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill \
--header 'Content-Type: application/json' \
--data '
{
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill"
payload = {
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({clientTurnId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', projectId: '<string>'})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientTurnId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill"
payload := strings.NewReader("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill")
.header("Content-Type", "application/json")
.body("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "completed",
"import": {
"target": {
"kind": "project",
"projectId": "<string>"
},
"conversation": {
"id": "<string>",
"title": "<string>",
"currentRun": null
},
"takeoff": {},
"sourceSelection": {},
"columnMappings": {},
"valueMappings": {},
"reviewDraft": {},
"publishResult": {},
"id": "<string>",
"status": "awaiting_upload",
"kind": "project_items",
"version": 123,
"analysisRevision": 123,
"document": {
"id": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"status": "pending",
"confirmedAt": "<string>",
"extractionDispatchedAt": "<string>",
"safeErrorCode": "<string>"
},
"sourceSnapshot": {},
"progress": {
"phase": "analysis",
"safeErrorCode": "<string>"
},
"counts": {
"blockingIssues": 123,
"warningIssues": 123
},
"issueSummary": {
"blocking": 123,
"warning": 123
},
"publishable": true,
"createdAt": "<string>",
"updatedAt": "<string>"
},
"filledRowIds": [
"<string>"
],
"incomplete": true,
"errorCode": "<string>"
}Data Imports
Magic Fill Product Types
POST
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
imports
/
{importId}
/
product-types
/
magic-fill
Magic Fill Product Types
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill \
--header 'Content-Type: application/json' \
--data '
{
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill"
payload = {
"clientTurnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({clientTurnId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', projectId: '<string>'})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientTurnId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill"
payload := strings.NewReader("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill")
.header("Content-Type", "application/json")
.body("{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports/{importId}/product-types/magic-fill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientTurnId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"projectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "completed",
"import": {
"target": {
"kind": "project",
"projectId": "<string>"
},
"conversation": {
"id": "<string>",
"title": "<string>",
"currentRun": null
},
"takeoff": {},
"sourceSelection": {},
"columnMappings": {},
"valueMappings": {},
"reviewDraft": {},
"publishResult": {},
"id": "<string>",
"status": "awaiting_upload",
"kind": "project_items",
"version": 123,
"analysisRevision": 123,
"document": {
"id": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"status": "pending",
"confirmedAt": "<string>",
"extractionDispatchedAt": "<string>",
"safeErrorCode": "<string>"
},
"sourceSnapshot": {},
"progress": {
"phase": "analysis",
"safeErrorCode": "<string>"
},
"counts": {
"blockingIssues": 123,
"warningIssues": 123
},
"issueSummary": {
"blocking": 123,
"warning": 123
},
"publishable": true,
"createdAt": "<string>",
"updatedAt": "<string>"
},
"filledRowIds": [
"<string>"
],
"incomplete": true,
"errorCode": "<string>"
}Path Parameters
Body
application/json
⌘I